### Method

# AppStreamCompose ImageTarget get_source_size_range

since: 1.2.0

#### Declaration [src]

    void
    asc_image_target_get_source_size_range (
      AscImageTarget* target,
      gint* min_width,
      gint* min_height,
      gint* max_width,
      gint* max_height
    )

#### Description [src]

Get the source image dimensions this rendition is restricted to. A value of 0 means that the respective dimension is not limited.

Available since: 1.2.0

#### Parameters

`min_width`

  Type: `gint*`

  Destination of the minimum source image width.

  The argument will be set by the function.
  The argument can be `NULL`.

`min_height`

  Type: `gint*`

  Destination of the minimum source image height.

  The argument will be set by the function.
  The argument can be `NULL`.

`max_width`

  Type: `gint*`

  Destination of the maximum source image width.

  The argument will be set by the function.
  The argument can be `NULL`.

`max_height`

  Type: `gint*`

  Destination of the maximum source image height.

  The argument will be set by the function.
  The argument can be `NULL`.